Adobe ExtendScript Toolkit

ExtendScript ToolKit

# TaggedData_s Struct Reference

`#include <SoSharedLibDefs.h>`

List of all members.

## Detailed Description

All data is passed in and out in a tagged data structure.

This structure can hold a few basic data types. If you want to return a string value, you need to provide a FreeMem() entry point in your DLL so ExtendScript can free the memory after usage. Since ExtendScript does not know about the structure packing alignment, please use a pack alignment of 8. This should be OK for all 32-bit systems.

## Public Attributes

union {
long intval
double fltval
char * string
long * hObject
} | data
long | type
long | filler

## Member Data Documentation

long TaggedData_s::intval

Referenced by acceptBoolean(), objectCall(), objectGet(), paramAny(), paramBool(), paramInt32(), paramUInt32(), setVersion(), and stringize().

double TaggedData_s::fltval

Referenced by getAverage(), objectCall(), objectGet(), paramAny(), and paramFloat64().

char* TaggedData_s::string

Referenced by acceptBoolean(), appendString(), built(), createArray(), createObject(), makeArray(), myScript(), objectCall(), objectGet(), objectPut(), objectToString(), objectValueOf(), paramAny(), paramString(), and stringize().

long* TaggedData_s::hObject

union { ... } TaggedData_s::data

Referenced by acceptBoolean(), appendString(), built(), createArray(), createObject(), getAverage(), makeArray(), myScript(), objectCall(), objectGet(), objectPut(), objectToString(), objectValueOf(), paramAny(), paramBool(), paramFloat64(), paramInt32(), paramString(), paramUInt32(), setVersion(), and stringize().

long TaggedData_s::type

Referenced by acceptBoolean(), appendString(), built(), createArray(), createObject(), getAverage(), makeArray(), myScript(), objectCall(), objectGet(), objectToString(), objectValueOf(), paramAny(), paramBool(), paramFloat64(), paramInt32(), paramString(), paramUInt32(), and stringize().

long TaggedData_s::filler

The documentation for this struct was generated from the following file:

- SoSharedLibDefs.h

Copyright© 2008 Adobe Systems Incorporated. All rights reserved.

Terms of Use Online Privacy Policy Adobe and accessibility Avoid software piracy Permissions and Trademarks